import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type ButtonsProps = HTMLAttributes<HTMLDivElement> & SizeModifierProp<"small" | "medium" | "large"> & Pick<BooleanModifierProps, "isCentered">;
export declare const Buttons: FC<PropsWithChildren<ButtonsProps>>;
//# sourceMappingURL=Buttons.d.ts.map