import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier, pluralSizeClassName, } from "../modifiers/index.js";
export const Buttons = ({ children, className, isCentered, size, ...props }) => {
    const _class = classNames("buttons", modifier({ isCentered }), pluralSizeClassName(size), className);
    return (_jsx("div", { className: _class, ...props, children: children }));
};
