import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BreakpointsMap, BooleanModifierProps } from "../modifiers/index.js";
type Gap = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8;
export type ColumnsProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isCentered" | "isDesktop" | "isGapless" | "isMobile" | "isNarrow" | "isMultiline" | "isVariable" | "isVcentered"> & Partial<{
    gap: Gap | BreakpointsMap<Gap>;
}>;
export declare const Columns: FC<PropsWithChildren<ColumnsProps>>;
export {};
//# sourceMappingURL=Columns.d.ts.map