import { FC, InputHTMLAttributes, ReactNode } from "react";
import { BooleanModifierProps } from "../modifiers/index.js";
export type FileUploadProps = Omit<InputHTMLAttributes<HTMLInputElement>, "type"> & Pick<BooleanModifierProps, "isBoxed" | "isFullwidth" | "isRight"> & Partial<{
    cta: ReactNode;
    hasName: ReactNode;
}>;
export declare const FileUpload: FC<FileUploadProps>;
//# sourceMappingURL=FileUpload.d.ts.map