import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { flexClassNames, spacingClassNames, } from "../modifiers/index.js";
export const Flex = ({ children, className, align, alignItems, alignSelf, direction, grow, justify, shrink, spacing, wrap, ...props }) => {
    const _class = classNames(flexClassNames({
        align,
        alignItems,
        alignSelf,
        direction,
        grow,
        justify,
        shrink,
        wrap,
    }), spacingClassNames(spacing), className);
    return (_jsx("div", { className: _class, ...props, children: children }));
};
