import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
export const Form = ({ children, className, box, ...props }) => {
    const _class = classNames(box && "box", className);
    return (_jsx("form", { className: _class, ...props, children: children }));
};
export const formValues = (event, fields) => {
    const eventTarget = event.target;
    const fieldsObj = {};
    for (const field of fields) {
        fieldsObj[field] = eventTarget[field]?.value;
    }
    return fieldsObj;
};
