import { FC, HTMLAttributes, PropsWithChildren, ReactNode } from "react";
import { ColorModifierProp, BooleanModifierProps, MainColor, SizeModifierProp } from "../modifiers/index.js";
export type HeroProps = HTMLAttributes<HTMLDivElement> & ColorModifierProp<MainColor> & SizeModifierProp & Pick<BooleanModifierProps, "isFullheight" | "isFullheightWithNavbar" | "isHalfheight"> & Partial<{
    head: ReactNode;
    foot: ReactNode;
}>;
export declare const Hero: FC<PropsWithChildren<HeroProps>>;
//# sourceMappingURL=Hero.d.ts.map