import { FC, InputHTMLAttributes } from "react";
import { MainColor, ColorModifierProp, BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type InputProps = Omit<InputHTMLAttributes<HTMLInputElement>, "size" | "type"> & ColorModifierProp<MainColor> & SizeModifierProp & Pick<BooleanModifierProps, "isFocused" | "isHovered" | "isRounded" | "isStatic"> & Partial<{
    type: Exclude<InputHTMLAttributes<HTMLInputElement>["type"], "file" | "radio">;
}>;
export declare const Input: FC<InputProps>;
//# sourceMappingURL=Input.d.ts.map