import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, sizeClassName, } from "../modifiers/index.js";
export const Input = ({ className, color, isFocused, isHovered, isRounded, isStatic, size, ...props }) => {
    const _class = classNames("input", colorClassName(color), sizeClassName(size), modifier({
        isFocused,
        isHovered,
        isRounded,
        isStatic,
    }), className);
    return _jsx("input", { className: _class, ...props });
};
