import { FC, HTMLAttributes, PropsWithChildren, ReactNode } from "react";
import { BooleanModifierProps, TextAlignProp } from "../modifiers/index.js";
export type LevelProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isMobile"> & Partial<{
    left: ReactNode;
    right: ReactNode;
}>;
export declare const Level: FC<PropsWithChildren<LevelProps>>;
export type LevelItemProps = HTMLAttributes<HTMLDivElement> & TextAlignProp;
export declare const LevelItem: FC<PropsWithChildren<LevelItemProps>>;
//# sourceMappingURL=Level.d.ts.map