import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
export const Media = ({ children, className, left, right, ...props }) => {
    const _class = classNames("media", className);
    return (_jsxs("article", { className: _class, ...props, children: [left && _jsx("div", { className: "media-left", children: left }), children, right && _jsx("div", { className: "media-right", children: right })] }));
};
