import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, sizeClassName, } from "../modifiers/index.js";
export const Message = ({ children, className, color, header, size, ...props }) => {
    const _class = classNames("message", colorClassName(color), sizeClassName(size), className);
    return (_jsxs("article", { className: _class, ...props, children: [header && _jsx("div", { className: "message-header", children: header }), _jsx("div", { className: "message-body", children: children })] }));
};
