import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, } from "../modifiers/index.js";
export const Notification = ({ children, className, color, isLight, ...props }) => {
    const _class = classNames("notification", colorClassName(color), modifier({ isLight }), className);
    return (_jsx("div", { className: _class, ...props, children: children }));
};
