import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, sizeClassName, } from "../modifiers/index.js";
export const Progress = ({ className, color, size, ...props }) => {
    const _class = classNames("progress", colorClassName(color), sizeClassName(size), className);
    return _jsx("progress", { className: _class, ...props });
};
