import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { sizeClassName } from "../modifiers/index.js";
export const Section = ({ className, children, size, ...props }) => {
    const _class = classNames("section", sizeClassName(size), className);
    return (_jsx("section", { className: _class, ...props, children: children }));
};
