import { FC, OptionHTMLAttributes, SelectHTMLAttributes } from "react";
import { BooleanModifierProps, ColorModifierProp, MainColor, SizeModifierProp } from "../modifiers/index.js";
export type SelectProps = SelectHTMLAttributes<HTMLSelectElement> & ColorModifierProp<MainColor> & SizeModifierProp & Pick<BooleanModifierProps, "isFocused" | "isHovered" | "isLoading"> & {
    options: Array<OptionHTMLAttributes<HTMLOptionElement>>;
};
export declare const Select: FC<SelectProps>;
//# sourceMappingURL=Select.d.ts.map