import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, sizeClassName, } from "../modifiers/index.js";
export const Select = ({ className, color, isFocused, isHovered, isLoading, options, size, ...props }) => {
    const _class = classNames("select", colorClassName(color), modifier({ isFocused, isHovered, isLoading }), sizeClassName(size), className);
    return (_jsx("div", { className: _class, children: _jsx("select", { ...props, children: options.map((props, i) => (_jsx("option", { ...props }, i))) }) }));
};
