import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type TagsProps = HTMLAttributes<HTMLDivElement> & SizeModifierProp<"small" | "medium" | "large"> & Pick<BooleanModifierProps, "hasAddons">;
export declare const Tags: FC<PropsWithChildren<TagsProps>>;
//# sourceMappingURL=Tags.d.ts.map