import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, HalfDozen } from "../modifiers/index.js";
type Props = HTMLAttributes<HTMLElement> & Pick<BooleanModifierProps, "isSpaced"> & Partial<{
    h: HalfDozen;
    size: HalfDozen;
}>;
export type TitleProps = Props;
export declare const Title: FC<PropsWithChildren<TitleProps>>;
export type SubtitleProps = Props;
export declare const Subtitle: FC<PropsWithChildren<TitleProps>>;
export {};
//# sourceMappingURL=Title.d.ts.map