import { classNames } from "../classNames.js";
export const flexClassNames = ({ direction, align, alignItems, alignSelf, justify, wrap, grow, shrink, }) => classNames("is-flex", direction && `is-flex-direction-${direction}`, justify && `is-justify-content-${justify}`, align && `is-align-content-${align}`, alignItems && `is-align-items-${alignItems}`, alignSelf && `is-align-self-${alignSelf}`, grow && `is-flex-grow-${grow}`, shrink && `is-flex-shrink-${shrink}`, wrap && `is-flex-wrap-${wrap}`);
export const spacingClassNames = (arg) => arg && !Array.isArray(arg) && typeof arg === "object"
    ? Object.entries(arg).map(([key, value]) => `${key}-${value}`)
    : undefined;
