export declare const breakpoints: readonly ["mobile", "tablet", "desktop", "widescreen", "fullhd"];
export type Breakpoint = typeof breakpoints[number];
export type BreakpointsMap<T> = Partial<{
    [key in Breakpoint]: T;
}>;
//# sourceMappingURL=responsiveness.d.ts.map