import { BulmaClassName } from "../bulma.js";
export type Size = "small" | "medium" | "large" | "normal";
export type SizeModifierProp<S extends Size = Size> = Partial<{
    size: S;
}>;
export declare const pluralSizeClassName: (size: Exclude<Size, "normal"> | undefined) => "are-large" | "are-medium" | "are-small";
export declare const sizeClassName: (size: Size | undefined) => "is-large" | "is-medium" | "is-normal" | "is-small";
//# sourceMappingURL=size.d.ts.map