import { BulmaClassName } from "../bulma.js";
import { MainColor } from "./color.js";
export type TextAlignment = "centered" | "justified" | "left" | "right";
export type TextAlignProp = Partial<{
    hasText: TextAlignment;
}>;
export declare const textAlignClassName: (alignment: TextAlignProp["hasText"]) => "has-text-centered" | "has-text-justified" | "has-text-left" | "has-text-right";
export type TextColor = MainColor;
export declare const textColorClassName: (color: TextColor) => "has-text-danger" | "has-text-info" | "has-text-link" | "has-text-primary" | "has-text-success" | "has-text-warning";
//# sourceMappingURL=typography.d.ts.map