import { FC, HTMLAttributes, LiHTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
type BreadcrumbSeparator = "arrow" | "bullet" | "dot" | "succedes";
export type BreadcrumbProps = HTMLAttributes<HTMLElement> & SizeModifierProp & Pick<BooleanModifierProps, "isCentered" | "isRight"> & Partial<{
    separator: BreadcrumbSeparator;
}>;
export declare const Breadcrumb: FC<PropsWithChildren<BreadcrumbProps>>;
export type BreadcrumbItemProps = LiHTMLAttributes<HTMLLIElement> & Pick<BooleanModifierProps, "isActive">;
export declare const BreadcrumbItem: FC<PropsWithChildren<BreadcrumbItemProps>>;
export {};
//# sourceMappingURL=Breadcrumb.d.ts.map