import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
export const Card = ({ children, header, footer, image, className, }) => {
    const _class = classNames("card", className);
    return (_jsxs("div", { className: _class, children: [header ? _jsx("header", { className: "card-header", children: header }) : null, image ? _jsx("div", { className: "card-image", children: image }) : null, _jsx("div", { className: "card-content", children: children }), footer ? _jsx("footer", { className: "card-footer", children: footer }) : null] }));
};
