import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BreakpointsMap, BooleanModifierProps, Dozen, Fraction } from "../modifiers/index.js";
export type ColumnProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isCentered"> & Partial<{
    isNarrow: boolean | BreakpointsMap<boolean>;
    offset: Exclude<Dozen, 12> | Fraction;
    size: Dozen | Fraction | BreakpointsMap<Dozen | Fraction>;
}>;
export declare const columnClassNames: ({ className, isCentered, isNarrow, offset, size, }: ColumnProps) => string;
export declare const Column: FC<PropsWithChildren<ColumnProps>>;
//# sourceMappingURL=Column.d.ts.map