import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, } from "../modifiers/index.js";
export const Container = ({ children, className, color, isFluid, fullWidth, maxWidth, }) => {
    const _class = classNames("container", colorClassName(color), fullWidth ? `is-${fullWidth}` : undefined, maxWidth ? `is-max-${maxWidth}` : undefined, modifier({ isFluid }), className);
    return _jsx("div", { className: _class, children: children });
};
