import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { sizeClassName, textAlignClassName, } from "../modifiers/index.js";
export const Content = ({ children, hasText, size, ...props }) => {
    const _class = classNames("content", textAlignClassName(hasText), sizeClassName(size));
    return (_jsx("div", { className: _class, ...props, children: children }));
};
