import { FC, HTMLAttributes, PropsWithChildren, ReactNode } from "react";
import { Alignment } from "../modifiers/index.js";
export type FieldProps = HTMLAttributes<HTMLDivElement> & Partial<{
    hasAddons: boolean | Alignment;
    isGrouped: boolean | Alignment | "multiline";
}>;
export declare const Field: FC<PropsWithChildren<FieldProps>>;
export type FieldHorizontalProps = HTMLAttributes<HTMLDivElement> & Partial<{
    label: ReactNode;
}>;
export declare const FieldHorizontal: FC<PropsWithChildren<FieldHorizontalProps>>;
//# sourceMappingURL=Field.d.ts.map