import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier } from "../modifiers/index.js";
export const FileUpload = ({ className, cta, hasName, isBoxed, isFullwidth, isRight, ...props }) => {
    const _class = classNames("file", modifier({ isBoxed, isFullwidth, isRight }), className);
    return (_jsx("div", { className: _class, children: _jsxs("label", { className: "file-label", children: [_jsx("input", { type: "file-input", ...props }), cta ? _jsx("span", { className: "file-cta", children: cta }) : null, hasName ? _jsx("span", { className: "file-name", children: hasName }) : null] }) }));
};
