import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { ColorModifierProp, SizeModifierProp, TextColor } from "../modifiers/index.js";
export type IconProps = HTMLAttributes<HTMLSpanElement> & ColorModifierProp<TextColor> & SizeModifierProp<"small" | "medium" | "large">;
export declare const Icon: FC<PropsWithChildren<IconProps>>;
export type IconTextProps = HTMLAttributes<HTMLSpanElement>;
export declare const IconText: FC<PropsWithChildren<IconTextProps>>;
//# sourceMappingURL=Icon.d.ts.map