import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { sizeClassName, textColorClassName, } from "../modifiers/index.js";
export const Icon = ({ children, className, color, size, ...props }) => {
    const _class = classNames("icon", textColorClassName(color), sizeClassName(size), className);
    return (_jsx("span", { className: _class, ...props, children: children }));
};
export const IconText = ({ children, className, ...props }) => {
    const _class = classNames("icon-text", className);
    return (_jsx("span", { className: _class, ...props, children: children }));
};
