import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { imageDimensionClassName, imageRatioClassName, } from "../modifiers/index.js";
export const Image = ({ className, dimension, ratio, ...props }) => {
    const _class = classNames("image", imageDimensionClassName(dimension), imageRatioClassName(ratio), className);
    return (_jsx("figure", { className: _class, children: _jsx("img", { ...props }) }));
};
