import { FC, HTMLAttributes, PropsWithChildren, ReactNode } from "react";
import { ColorModifierProp, MainColor, ShadeColor, SizeModifierProp } from "../modifiers/index.js";
export type MessageProps = HTMLAttributes<HTMLElement> & ColorModifierProp<MainColor | ShadeColor> & SizeModifierProp & Partial<{
    header: ReactNode;
}>;
export declare const Message: FC<PropsWithChildren<MessageProps>>;
//# sourceMappingURL=Message.d.ts.map