import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { ColorModifierProp, BooleanModifierProps, MainColor } from "../modifiers/index.js";
export type NotificationProps = HTMLAttributes<HTMLDivElement> & ColorModifierProp<MainColor> & Pick<BooleanModifierProps, "isLight">;
export declare const Notification: FC<PropsWithChildren<NotificationProps>>;
//# sourceMappingURL=Notification.d.ts.map