import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type TabsProps = HTMLAttributes<HTMLElement> & SizeModifierProp & Pick<BooleanModifierProps, "isBoxed" | "isCentered" | "isFullwidth" | "isRight" | "isToggle" | "isToggleRounded">;
export declare const Tabs: FC<PropsWithChildren<TabsProps>>;
//# sourceMappingURL=Tabs.d.ts.map