import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier, sizeClassName, } from "../modifiers/index.js";
export const Tabs = ({ children, className, isBoxed, isCentered, isFullwidth, isRight, isToggle, isToggleRounded, size, ...props }) => {
    const _class = classNames("tabs", sizeClassName(size), modifier({
        isBoxed,
        isCentered,
        isFullwidth,
        isRight,
        isToggle,
        isToggleRounded,
    }), className);
    return (_jsx("nav", { className: _class, ...props, children: children }));
};
