import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, ColorModifierProp, MainColor, ShadeColor, SizeModifierProp } from "../modifiers/index.js";
export type TagProps = HTMLAttributes<HTMLSpanElement> & ColorModifierProp<MainColor | ShadeColor> & SizeModifierProp<"normal" | "medium" | "large"> & Pick<BooleanModifierProps, "isLight" | "isRounded">;
export declare const Tag: FC<PropsWithChildren<TagProps>>;
//# sourceMappingURL=Tag.d.ts.map