import { FC, TextareaHTMLAttributes } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type TextAreaProps = TextareaHTMLAttributes<HTMLTextAreaElement> & SizeModifierProp & Pick<BooleanModifierProps, "isActive" | "isFocused" | "isHovered" | "isLoading">;
export declare const TextArea: FC<TextAreaProps>;
//# sourceMappingURL=Textarea.d.ts.map