import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier, sizeClassName, } from "../modifiers/index.js";
export const TextArea = ({ children, className, isActive, isFocused, isHovered, isLoading, size, ...props }) => {
    const _class = classNames("textarea", modifier({ isActive, isFocused, isHovered, isLoading }), sizeClassName(size), className);
    return (_jsx("textarea", { className: _class, ...props, children: children }));
};
