import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, Dozen } from "../modifiers/index.js";
export type TileProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isAncestor" | "isChild" | "isParent" | "isVertical"> & Partial<{
    size: Dozen;
}>;
export declare const Tile: FC<PropsWithChildren<TileProps>>;
//# sourceMappingURL=Tile.d.ts.map