import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier } from "../modifiers/index.js";
export const Tile = ({ children, className, isAncestor, isChild, isParent, isVertical, size, ...props }) => {
    const _class = classNames("tile", size ? `is-${size}` : undefined, modifier({ isAncestor, isChild, isParent, isVertical }), className);
    return (_jsx("div", { className: _class, ...props, children: children }));
};
