export type BooleanModifierProps = Partial<{
    hasAddons: boolean;
    hasDropdown: boolean;
    hasDropdownUp: boolean;
    hasIconsLeft: boolean;
    hasIconsRight: boolean;
    hasShadow: boolean;
    isActive: boolean;
    isAncestor: boolean;
    isBordered: boolean;
    isBoxed: boolean;
    isCentered: boolean;
    isChild: boolean;
    isDesktop: boolean;
    isDisabled: boolean;
    isExpanded: boolean;
    isFluid: boolean;
    isFocused: boolean;
    isFullheight: boolean;
    isFullheightWithNavbar: boolean;
    isFullwidth: boolean;
    isGapless: boolean;
    isHalfheight: boolean;
    isHoverable: boolean;
    isHovered: boolean;
    isInverted: boolean;
    isLight: boolean;
    isLoading: boolean;
    isMobile: boolean;
    isMultiline: boolean;
    isNarrow: boolean;
    isOutlined: boolean;
    isParent: boolean;
    isRight: boolean;
    isRounded: boolean;
    isSpaced: boolean;
    isStatic: boolean;
    isStriped: boolean;
    isTab: boolean;
    isToggle: boolean;
    isToggleRounded: boolean;
    isTransparent: boolean;
    isUp: boolean;
    isVariable: boolean;
    isVcentered: boolean;
    isVertical: boolean;
}>;
export declare const camelCaseToKebabCase: (arg: string) => string;
export declare const modifier: (arg: BooleanModifierProps) => string[];
//# sourceMappingURL=boolean.d.ts.map