import { BulmaClassName } from "../bulma.js";
export type ColorModifierProp<Color> = Partial<{
    color: Color;
}>;
export type MainColor = "danger" | "link" | "info" | "primary" | "success" | "warning";
export type ShadeColor = "black" | "dark" | "light" | "white";
export type OtherColor = "text" | "ghost";
export declare const colorClassName: (color: MainColor | ShadeColor | OtherColor | undefined) => Extract<BulmaClassName, "is-black" | "is-danger" | "is-danger" | "is-dark" | "is-ghost" | "is-info" | "is-light" | "is-link" | "is-primary" | "is-success" | "is-text" | "is-warning" | "is-white"> | undefined;
//# sourceMappingURL=color.d.ts.map